java.lang.IllegalStateException: buildToolsVersion is not specified.

GitHub | ilovelll | 7 months ago
tip
Do you find the tips below useful? Click on the to mark them and say thanks to rp . Or join the community to write better ones.
  1. 0
    samebug tip
    Check if there is no nexus running. If not, delete sonatype-work/nexus/nexus.lock .
  2. 0

    android\cordova\build.bat: Command failed with exit code 8 in multiple project

    Stack Overflow | 2 years ago | zhang.yuan
    java.lang.IllegalStateException: buildToolsVersion is not specified.
  3. 0

    Unsupported major.minor version 52.0

    GitHub | 1 year ago | RoelRoel
    java.lang.IllegalStateException: buildToolsVersion is not specified.
  4. Speed up your debug routine!

    Automated exception search integrated into your IDE

  5. 0

    Cannot compile Android targets

    GitHub | 1 year ago | carl-mastrangelo
    java.lang.IllegalStateException: buildToolsVersion is not specified.
  6. 0

    GitHub comment 11#168673337

    GitHub | 1 year ago | johnjohndoe
    java.lang.IllegalStateException: buildToolsVersion is not specified.

  1. jf-ast 3 times, last 2 weeks ago
  2. SteVio1989 16 times, last 4 weeks ago
  3. Hronom 2 times, last 1 month ago
  4. raytest 1 times, last 1 month ago
  5. fervidnerd 2 times, last 3 months ago
9 more registered users
63 unregistered visitors
Not finding the right solution?
Take a tour to get the most out of Samebug.

Tired of useless tips?

Automated exception search integrated into your IDE

Root Cause Analysis

  1. java.lang.IllegalStateException

    buildToolsVersion is not specified.

    at com.google.common.base.Preconditions.checkState()
  2. Guava
    Preconditions.checkState
    1. com.google.common.base.Preconditions.checkState(Preconditions.java:176)
    1 frame